VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "VBTestForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Description = "A class written in Visual Basic to illustrate how to use Visual Basic to add functionality to SML."
' ThingDemo
'
' Derived from Chapter 2 of Microsoft Visual Basic 6.0 Component Tools Guide
'   (Volume 3 of the three-volume Microsoft Vusual Basic 6.0 Reference Library)
' This example class defines

Option Explicit
Private mElemID As String
Private mFirstName As String
Private mLastName As String


' Clear out the settings
Public Sub Clear()
Attribute Clear.VB_Description = "Sets ElementID, FirstNAme and LAstName to empty strings."
    mFirstName = ""
    mLastName = ""
    mElemID = ""
End Sub


Public Property Get ElemID() As String
Attribute ElemID.VB_Description = "A unique element ID.  Intended to be used as a key field to look up a record in a database. Actual database lookup is left as an exercise for the reader."
    ElemID = mElemID
End Property
Public Property Get FirstName() As String
Attribute FirstName.VB_Description = "First Name.  ShowDialog() will allow the user to edit this."
    FirstName = mFirstName
End Property
Public Property Get LastName() As String
Attribute LastName.VB_Description = "Last Name.   ShowDialog() will allow the user to edit this."
    LastName = mLastName
End Property
Public Property Let ElemID(ByVal str As String)
    mElemID = str
End Property
Public Property Let FirstName(ByVal str As String)
    mFirstName = str
End Property
Public Property Let LastName(ByVal str As String)
    mLastName = str
End Property


Private Sub Class_Initialize()
    ' Get a debug ID number that can be returned by
    '   the read-only DebugID property.
    Debug.Print "Initialize Thing ID=" & mElemID & " Name=" & mLastName & ", " & mFirstName
End Sub

Private Sub Class_Terminate()
    On Error Resume Next
    Debug.Print "Terminate Thing ID=" & mElemID & " Name=" & mLastName & ", " & mFirstName
End Sub

Public Sub ShowDialog()
Attribute ShowDialog.VB_Description = "Pops up a dialog with MemberID, First Name and Last Name.  Allows the user to edit the names."
    Dim mdlg As dlgDemo
    Set mdlg = New dlgDemo
        With mdlg
        .txtDemo.Text = mElemID
        .txtFirstName = mFirstName
        .txtLastName = mLastName
        .Caption = "Test Form"
        .Show vbModal
        If .WasOK Then
            mFirstName = .txtFirstName
            mLastName = .txtLastName
            mElemID = .txtDemo
        End If
    End With
End Sub


